For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
      • GETGet Bulk Destination
      • GETGet Bulk Source
      • GETGet Bulk Source Schema
      • GETGet Bulk Source Status
      • GETList Bulk Syncs
      • POSTCreate Bulk Sync
      • GETGet Bulk Sync
      • DELDelete Bulk Sync
      • PATCHUpdate Bulk Sync
      • POSTActivate Bulk Sync
      • POSTCancel Bulk Sync
      • POSTStart Bulk Sync Execution
      • GETGet Bulk Sync Status
Logo
Log inBook a demo
API ReferenceBulk Sync

Cancel Bulk Sync

POST
https://app.polytomic.com/api/bulk/syncs/:id/cancel
POST
/api/bulk/syncs/:id/cancel
$curl -X POST https://app.polytomic.com/api/bulk/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/cancel \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -u "<username>:<password>"
1{
2 "data": {
3 "message": "Cancellation requested"
4 }
5}
Requests cancellation of any running executions on a bulk sync. Cancellation is asynchronous. A successful response means the cancellation signal has been queued; the running execution continues until the signal is processed. Poll `GET /api/bulk/syncs/{id}/status` until the current execution reaches a terminal state (`completed`, `canceled`, or `failed`) to confirm cancellation has taken effect.
Was this page helpful?
Previous

Start Bulk Sync Execution

Next

Requests cancellation of any running executions on a bulk sync.

Cancellation is asynchronous. A successful response means the cancellation signal has been queued; the running execution continues until the signal is processed. Poll GET /api/bulk/syncs/{id}/status until the current execution reaches a terminal state (completed, canceled, or failed) to confirm cancellation has taken effect.

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"
The active execution of this bulk sync ID will be cancelled.

Headers

X-Polytomic-VersionstringRequired

Response

OK
dataobject

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error